Get a vault intake shipment
curl --request GET \
--url https://api.collectpure.com/vault/get-intake-shipment/v1 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/vault/get-intake-shipment/v1"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/vault/get-intake-shipment/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trackingNumber": "<string>",
"origin": "<string>",
"expectedArrivalAt": "<string>",
"receivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"lineItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vaultIntakeShipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantityDeclared": 123,
"quantityReceived": 123,
"quantityAccepted": 123,
"quantityRejected": 123,
"inspectionNotes": "<string>",
"dispositionReason": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sku": "<string>",
"material": "<string>"
},
"variant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}
]
}
}Vault API
Get a vault intake shipment
Retrieve a single inbound vault shipment by ID, including line items with product details. The shipment must belong to the authenticated organization.
Requires: vault enabled on the organization.
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
vault
/
get-intake-shipment
/
v1
Get a vault intake shipment
Authorizations
API key for authentication
Query Parameters
Vault intake shipment ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I